survfit.cph {rms} | R Documentation

## Cox Predicted Survival

### Description

This is a slightly modified version of Therneau's `survfit.coxph` function. The difference is that `survfit.cph` assumes that `x=TRUE,y=TRUE` were specified to the fit. This assures that the environment in effect at the time of the fit (e.g., automatic knot estimation for spline functions) is the same one used for basing predictions.

### Usage

    ## S3 method for class 'cph'
    survfit(formula, newdata, se.fit=TRUE, conf.int=0.95,
            individual=FALSE, type=NULL, vartype=NULL,
            conf.type=c('log', "log-log", "plain", "none"), id, ...)

### Arguments

`formula` | a fit object from `cph` or `coxph` see `survfit.coxph`
`newdata,se.fit,conf.int,individual,type,vartype,conf.type,id` | see `survfit`. If `individual` is `TRUE`, there must be exactly one `Surv` object in `newdata`. This object is used to specify time intervals for time-dependent covariate paths. To get predictions for multiple subjects with time-dependent covariates, specify a vector `id` which specifies unique hypothetical subjects. The length of `id` should equal the number of rows in `newdata`.
`...` | Not used

### Value

see `survfit.coxph`

### See Also

`survest.cph`

[Package rms version 5.1-1 Index]